Page MenuHomePhabricator

Sticky table headers
Closed, ResolvedPublic

Description

It'd be nice if the headers in tables like https://xtools.wmflabs.org/adminstats/en.wikipedia.org would stick to the top of the page as the user scrolls. Otherwise it's hard to tell which column is which.

Event Timeline

czar created this task.Aug 1 2017, 1:09 AM
MusikAnimal moved this task from Inbox to Other on the XTools board.Aug 1 2017, 1:11 AM
MusikAnimal added a subscriber: MusikAnimal.

Superb idea!

Matthewrbowker moved this task from Other to Working on the XTools board.
Matthewrbowker added a subscriber: Matthewrbowker.

https://github.com/jmosbech/StickyTableHeaders maybe, since we're already using JQuery...

Restricted Application added a project: User-Matthewrbowker. · View Herald TranscriptAug 14 2017, 11:02 PM
Matthewrbowker triaged this task as Low priority.Aug 14 2017, 11:02 PM
Matthewrbowker moved this task from Inbox to Working on the User-Matthewrbowker board.
MusikAnimal closed this task as Resolved.Sep 6 2017, 3:32 PM
MusikAnimal moved this task from Pending deployment to Complete on the XTools board.

Deployed, but we may work to improve the sticky logic at some point